com.rscja.deviceapi

## Class RFIDWithUHFAxBase

- java.lang.Object
- - com.rscja.deviceapi.UhfBase
  - - com.rscja.deviceapi.RFIDWithUHFUART
    - - com.rscja.deviceapi.RFIDWithUHFAxBase

- All Implemented Interfaces:
    IHandheldRFID, IMultipleAntenna, ISingleAntenna, IUHF, IUHFOfAndroidUart, IURAxOfAndroidUart
  Direct Known Subclasses:
    RFIDWithUHFA4, RFIDWithUHFA8

      public class RFIDWithUHFAxBase
      extends RFIDWithUHFUART
      implements IMultipleAntenna, IURAxOfAndroidUart

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.deviceapi.UhfBase

      `UhfBase.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buzzer()` 成功的通知提示(发出提示音) Success Notification Sound (Play Sound)
    `java.util.List<AntennaState>` | `getANT()` 获取当前设置的天线
    `java.util.List<AntennaPowerEntity>` | `getAntennaPower()` 获取单个天线的功率
    `int` | `getAntennaWorkTime(AntennaEnum antnum)` 获取天线工作时间
    `void` | `led()` 成功的通知提示(指示灯闪烁) Success Notification Sound (flashing light)
    `boolean` | `setANT(java.util.List<AntennaState> antStatus)` 设置天线号
    `boolean` | `setAntennaPower(AntennaEnum ant, int power)` 设置单个天线的功率
    `boolean` | `setAntennaWorkTime(AntennaEnum antnum, int WorkTime)`
    `void` | `successNotify()` 成功的通知提示(指示灯闪烁同时发出提示音) Success Notification Sound (Play notification tune when light flashing)

    - ### Methods inherited from class com.rscja.deviceapi.RFIDWithUHFUART

      `blockWriteData, eraseData, eraseData, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getErrCode, getFrequencyMode, getGen2, getHardwareVersion, getInstance, getPower, getProtocol, getPwm, getRFLink, getTemperature, getVersion, init_R2000, init, init, inventorySingleTag, isPowerOn, isWorking, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndUserReservedModeEx, setEPCMode, setFastID, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setPower, setPowerOnBySystem, setProtocol, setPwm, setRFLink, setTagFocus, setUart, startInventoryTag, startInventoryTag, startLocation, stopInventory, stopLocation, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getANT

          public java.util.List<AntennaState> getANT()

      获取当前设置的天线
      Specified by:
        `getANT` in interface `IMultipleAntenna`

    - #### setAntennaWorkTime

          public boolean setAntennaWorkTime(AntennaEnum antnum,
                                            int WorkTime)

      Specified by:
        `setAntennaWorkTime` in interface `IMultipleAntenna`
      Parameters:
        `antnum` - 天线号
        `WorkTime` - 工作时间
      Returns:

    - #### getAntennaWorkTime

          public int getAntennaWorkTime(AntennaEnum antnum)

      Description copied from interface: `IMultipleAntenna`
      获取天线工作时间
      Specified by:
        `getAntennaWorkTime` in interface `IMultipleAntenna`
      Parameters:
        `antnum` - 天线号
      Returns:

    - #### setANT

          public boolean setANT(java.util.List<AntennaState> antStatus)

      设置天线号
      Specified by:
        `setANT` in interface `IMultipleAntenna`
      Parameters:
        `antStatus` - 天线号
      Returns:

    - #### successNotify

          public void successNotify()

      成功的通知提示(指示灯闪烁同时发出提示音)
      Success Notification Sound (Play notification tune when light flashing)
      Specified by:
        `successNotify` in interface `IURAxOfAndroidUart`

    - #### led

          public void led()

      成功的通知提示(指示灯闪烁)
      Success Notification Sound (flashing light)
      Specified by:
        `led` in interface `IURAxOfAndroidUart`

    - #### buzzer

          public void buzzer()

      成功的通知提示(发出提示音)
      Success Notification Sound (Play Sound)
      Specified by:
        `buzzer` in interface `IURAxOfAndroidUart`

    - #### setAntennaPower

          public boolean setAntennaPower(AntennaEnum ant,
                                         int power)

      Description copied from interface: `IMultipleAntenna`
      设置单个天线的功率
      Specified by:
        `setAntennaPower` in interface `IMultipleAntenna`
      Parameters:
        `ant` - 天线号
        `power` - 功率
      Returns:

    - #### getAntennaPower

          public java.util.List<AntennaPowerEntity> getAntennaPower()

      Description copied from interface: `IMultipleAntenna`
      获取单个天线的功率
      Specified by:
        `getAntennaPower` in interface `IMultipleAntenna`
      Returns: